> ## Name

> tex2Dsize - returns the size of a given texture image for a given level of detail.

> ## Synopsis

>     int3 tex2Dsize(sampler2D samp, int lod)
>     int3 tex2Dsize(isampler2D samp, int lod)
>     int3 tex2Dsize(usampler2D samp, int lod)

> ## Parameters

> samp
>   Sampler to be queried for size.
> lod
>   Level of detail to obtain size.

> ## Description

> Given a sampler and a level of detail the size of the corresponding texture image is returned as the result of the operation.

> ## Profile Support

> tex2Dsize is only supported in gp4 and newer profiles.

> ## See Also

> tex2D, tex2DARRAYsize